Drupal 8. Why Update?

If your site is already running Drupal 6, or Drupal 7 then why do you need to update to Drupal 8? Officially, Drupal 6 is no longer a supported platform and is not receiving support with current Drupal features. Drupal only supports and updates the two most current modules, Drupal 7 and Drupal 8.